GNU bug report logs - #56041
[PATCH] gnu: Add vkmark.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Tomasz Jeneralczyk <tj@HIDDEN>; Keywords: patch; dated Fri, 17 Jun 2022 16:09:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 19 Jun 2022 09:08:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 05:08:54 2022
Received: from localhost ([127.0.0.1]:50687 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2qvF-0004px-MG
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 05:08:54 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:41922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o2qvE-0004pp-1w
 for 56041 <at> debbugs.gnu.org; Sun, 19 Jun 2022 05:08:44 -0400
Received: from [172.20.10.9] ([188.189.158.25])
 by andre.telenet-ops.be with bizsmtp
 id kx8i2700R0Z9yEL01x8jKp; Sun, 19 Jun 2022 11:08:43 +0200
Message-ID: <4594a2aed3de8ea2ebd363bcdfb7bdea5870ef9d.camel@HIDDEN>
Subject: Re: [bug#56041] [PATCH v2] gnu: Add vkmark.
From: Maxime Devos <maximedevos@HIDDEN>
To: Tomasz Jeneralczyk <tj@HIDDEN>, 56041 <at> debbugs.gnu.org
Date: Sun, 19 Jun 2022 11:08:42 +0200
In-Reply-To: <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
References: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
 <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-swBQ3eieVRf6sXRBVnwJ"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1655629723; bh=pAvqLZWOk2sOOjqiBKxDk92WV9ZCRp5G/0RkOFDKpC8=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=XFekDRbTi6EzhpAc4PYDVtvnhBrwZq9La2/A5RPqwvsegSLHgfTLFdBmG1Lydr/Yr
 AkOja7rGHEkEFXcxcjbGkqEOsGsLMXuhOEu22yFifY/XSeuBSQ5oCxti7kNioUE8nR
 Wu+FAquChwYMrnCIwoAbbnajuYtHZxExXq7iEiBz/YL+ZnMmZEGUywpf0qjdAfiDry
 OeG3Kjpk+6Jdt2q2mxkUa85h/DffeKNEKWnIw4/5xKUqu/squ4Ump/GIBQjOEiCgfD
 iIE+Gi7ys3EyNAaLmmpEbK/pqTZBlLJwMXuEq/NCL+f8L/FmfAhaV+WqhAlgiXmgi5
 JNBj5ZD5l5GTA==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-swBQ3eieVRf6sXRBVnwJ
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Tomasz Jeneralczyk schreef op za 18-06-2022 om 23:01 [+0000]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (latest-release "2017.08"))

This variable referred to from a single location, so no need for this
variable.

Greetings,
Maxime.

--=-swBQ3eieVRf6sXRBVnwJ
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYq7nmhccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7km3AP0Z5WSwdNNi/JfPZI+xtj/fGLUj
Olx6vTYWZyUv1pMtfAEAi7g9K8oSGKANIkSqcXkJuSJCc5/rgTuGbyrBh8bvGgI=
=S0sQ
-----END PGP SIGNATURE-----

--=-swBQ3eieVRf6sXRBVnwJ--





Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 19 Jun 2022 09:07:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 05:07:15 2022
Received: from localhost ([127.0.0.1]:50682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2qtn-0004nt-Cs
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 05:07:15 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:40166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1o2qtk-0004ng-Co
 for 56041 <at> debbugs.gnu.org; Sun, 19 Jun 2022 05:07:14 -0400
Received: from [172.20.10.9] ([188.189.158.25])
 by andre.telenet-ops.be with bizsmtp
 id kx7A2700A0Z9yEL01x7A2M; Sun, 19 Jun 2022 11:07:11 +0200
Message-ID: <cfa318213b2e0d53e838de8568d6a86c199d2d14.camel@HIDDEN>
Subject: Re: [bug#56041] [PATCH v2] gnu: Add vkmark.
From: Maxime Devos <maximedevos@HIDDEN>
To: Tomasz Jeneralczyk <tj@HIDDEN>, 56041 <at> debbugs.gnu.org
Date: Sun, 19 Jun 2022 11:07:09 +0200
In-Reply-To: <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
References: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
 <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-4jAQiMi3OdKm482MNUoK"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1655629631; bh=vwacW/KDByDRlzggYyWG0hyID+fUUvGRf2xVva4E5vI=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=az5VjJRxxbiqyywp2uVfSEACzrHJysqDhPIcVvgz3FKAnv8UeX/cfGt0ihm95wv6Q
 66KViAgBtlPX3Xk5+4x+yQJKo3zQnxJ3oNKk1A7zA2tVWYG23Lz5TN9EWgvlN0BfNw
 KaQBRKe3ER1fYetCuGlO59n2/sDrmWFELF5O5G7EqpANf5li1yVgNx6IzuLSMnFDYF
 VRakGCjRrWqGKYcKzq3cPpBfXycuBVyRPKAju1OTshESZZ8JUQeiqr5PJ7LmY8PHiU
 W/gBcKJG8frrPmOHDjXhsQ6rxt8/zg/g2lV7jgakyAl5CsSn7wSxuy+DLWUxiK5sxA
 /9uguLJ8nuWiQ==
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-4jAQiMi3OdKm482MNUoK
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Tomasz Jeneralczyk schreef op za 18-06-2022 om 23:01 [+0000]:
> +=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (license license:lgpl2.1))))

Going by, e.g.,
<https://github.com/vkmark/vkmark/blob/master/src/benchmark.cpp>, it's
not lgpl2.1 but more general (lgpl2.1+).

Greetings,
Maxime.

--=-4jAQiMi3OdKm482MNUoK
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYq7nPRccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sClAQCPldw1R+MAM89vqrf7EFrAUHj3
X/QNHpUF2dpswUbPMAD+I8O2Fco0F7QllqvrmPM5gtS2fzadef2nNj0rEsF4egc=
=wQ3D
-----END PGP SIGNATURE-----

--=-4jAQiMi3OdKm482MNUoK--





Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 19 Jun 2022 08:07:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 19 04:07:46 2022
Received: from localhost ([127.0.0.1]:50571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2pyE-0003GM-Gw
	for submit <at> debbugs.gnu.org; Sun, 19 Jun 2022 04:07:46 -0400
Received: from knopi.disroot.org ([178.21.23.139]:34468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o2py8-0003G9-LG
 for 56041 <at> debbugs.gnu.org; Sun, 19 Jun 2022 04:07:44 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id CE20243F08;
 Sun, 19 Jun 2022 10:07:38 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id gMYQclQADI9M; Sun, 19 Jun 2022 10:07:37 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655626057; bh=VQ+WwpHYxaOk1SWi42TE9wDCTteDMUIv9kL09M0bJuI=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=fwog+H/Gm2hkiE7TuvZo67dqPbVed+DsKvXmvdwAX7sr0BKUwHGMx9VB/wH+3NDgQ
 N7iNYbt8bf05JN8VqP6IM5KGQftxBIlzCLE3f6qCnfIFrtpPvBxweAC8G09zXJSMsE
 VOBPXtwExF9F/vLeRO1DmKtDMvs6BLB/jN5phd9N7sVxCKaLQvvFhjPIw70l/zsiyi
 ucjOBPpGkkaffxztAhnuBhzyX7gtA38v6NhmkrPbdK1mrqvLvNoWgEQ8njXHyeen+D
 adGxdGEMqb2ICc54JIdLKTPsXL1hjhiN0QqSDRIlQtSnIoRiUzTHI+icGCgU4blm1l
 mi0QCZ8bJBRzg==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sun, 19 Jun 2022 09:07:29 +0100
Message-Id: <CKTYGBCHAAG4.12ETPQ5NLHXWJ@guix-aspire>
Subject: Re: [bug#56041] [PATCH v2] gnu: Add vkmark.
From: "(" <paren@HIDDEN>
To: "Tomasz Jeneralczyk" <tj@HIDDEN>, <56041 <at> debbugs.gnu.org>
References: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
 <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
In-Reply-To: <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

LGTM except for:

On Sun Jun 19, 2022 at 12:01 AM BST, Tomasz Jeneralczyk wrote:
> +  #:use-module (gnu packages cmake)

You probably don't need this anymore.




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 18 Jun 2022 23:45:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 19:45:26 2022
Received: from localhost ([127.0.0.1]:50354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2i84-0007Ya-U7
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 19:45:26 -0400
Received: from outgoing1.lunanode.net ([172.81.176.235]:40551)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tj@HIDDEN>) id 1o2hR9-0006Y8-GO
 for 56041 <at> debbugs.gnu.org; Sat, 18 Jun 2022 19:01:06 -0400
Received: from mail1.lunanode.net (mail1.lunanode.net [170.75.162.243])
 by outgoing1.lunanode.net (Postfix) with ESMTPS id 766BB4009E
 for <56041 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 23:01:02 +0000 (UTC)
MIME-Version: 1.0
Date: Sat, 18 Jun 2022 23:01:01 +0000
From: Tomasz Jeneralczyk <tj@HIDDEN>
To: 56041 <at> debbugs.gnu.org
Subject: [PATCH v2] gnu: Add vkmark.
User-Agent: Roundcube Webmail/1.4.11
Message-ID: <acba611cbd31ab29f39f46e072d8b8ae@HIDDEN>
X-Sender: tj@HIDDEN
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 56041
X-Mailman-Approved-At: Sat, 18 Jun 2022 19:45:24 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

* gnu/packages/benchmark.scm (vkmark): Add variable.
---
  gnu/packages/benchmark.scm | 47 ++++++++++++++++++++++++++++++++++++++
  1 file changed, 47 insertions(+)

diff --git a/gnu/packages/benchmark.scm b/gnu/packages/benchmark.scm
index b167c6de6e..79e1645eba 100644
--- a/gnu/packages/benchmark.scm
+++ b/gnu/packages/benchmark.scm
@@ -11,6 +11,7 @@
  ;;; Copyright © 2020, 2021, 2022 Maxim Cournoyer 
<maxim.cournoyer@HIDDEN>
  ;;; Copyright © 2020 Greg Hogan <code@HIDDEN>
  ;;; Copyright © 2021 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright © 2022 Tomasz Jeneralczyk <tj@HIDDEN>
  ;;;
  ;;; This file is part of GNU Guix.
  ;;;
@@ -36,15 +37,20 @@ (define-module (gnu packages benchmark)
    #:use-module (guix build-system cmake)
    #:use-module (guix build-system gnu)
    #:use-module (guix build-system python)
+  #:use-module (guix build-system meson)
    #:use-module (gnu packages)
    #:use-module (gnu packages autotools)
    #:use-module (gnu packages base)
    #:use-module (gnu packages c)
    #:use-module (gnu packages check)
+  #:use-module (gnu packages cmake)
    #:use-module (gnu packages compression)
    #:use-module (gnu packages kde-frameworks)
    #:use-module (gnu packages databases)
    #:use-module (gnu packages docbook)
+  #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gl)
+  #:use-module (gnu packages graphics)
    #:use-module (gnu packages linux)
    #:use-module (gnu packages lua)
    #:use-module (gnu packages maths)
@@ -57,6 +63,8 @@ (define-module (gnu packages benchmark)
    #:use-module (gnu packages python-web)
    #:use-module (gnu packages python-xyz)
    #:use-module (gnu packages qt)
+  #:use-module (gnu packages vulkan)
+  #:use-module (gnu packages xorg)
    #:use-module (gnu packages xml)
    #:use-module (ice-9 match))

@@ -584,3 +592,42 @@ (define-public sysbench
  @item
  @end itemize")
      (license license:gpl2+)))
+
+(define-public vkmark
+  ;; The latest "release" of vkmark is tagged "2017.08" and it's so old
+  ;; I couldn't even compile it. The current master branch's head
+  ;; seems to be working just fine.
+  (let ((commit "d872846e2e7c47010c11227eb713d00ccfdd35c6")
+        (revision "1")
+        (latest-release "2017.08"))
+    (package
+      (name "vkmark")
+      (version (git-version latest-release revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/vkmark/vkmark")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  
"0zlryz8i8jvl160bv30ig5nd9h4ahpjfw53ys839i41xi80jjg5d"))))
+      (build-system meson-build-system)
+      (native-inputs (list pkg-config))
+      ;; The kms back-end, as it is, seems to have bitrot
+      ;; and would need maintenance to work with current Mesa:
+      ;; https://gitlab.freedesktop.org/mesa/mesa/-/commit/5e6db1916806
+      (inputs (list vulkan-loader
+                    vulkan-headers
+                    glm
+                    assimp
+                    libxcb
+                    xcb-util-wm
+                    wayland-protocols
+                    wayland))
+      (synopsis "Benchmark for Vulkan")
+      (description
+       "vkmark is an extensible Vulkan benchmarking suite with 
targeted, configurable
+scenes.")
+      (home-page "https://github.com/vkmark/vkmark")
+      (license license:lgpl2.1))))

base-commit: 319b8331b2357e12ec9edb9665513c32bef56622
--
2.36.1




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 18 Jun 2022 08:14:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 04:14:07 2022
Received: from localhost ([127.0.0.1]:47467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Tao-0002le-Na
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 04:14:06 -0400
Received: from knopi.disroot.org ([178.21.23.139]:45104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o2Tak-0002lE-A5
 for 56041 <at> debbugs.gnu.org; Sat, 18 Jun 2022 04:14:04 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id AA2B8441B1
 for <56041 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 10:14:01 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Ok9BN5-Jqz-M for <56041 <at> debbugs.gnu.org>;
 Sat, 18 Jun 2022 10:13:56 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655540036; bh=z0WcIpFl6hWqtkYzhACEpUXlD5xuYpxNsN+E4AWBcEU=;
 h=Date:Subject:From:To;
 b=HnA12gWeD5a6Y7pEdS/8GTq22XAQNCs2lI30rMKktyvm9RMY9cC1sZy4FbCN4CtNG
 bW4CQMZK78a8foDdMrmk1QU/97Y/6oxtOBFzEaqgID9obVSxxnRYARsCNrSAZBgo/5
 qVulIXHW/GqmFhk3neNSsPc9V+rrffaRWNjwiUSOgnLAtldfyKzkvBfqwoDee6Uwwm
 eCHqPzyNPLrpP986tk0HVH9EKYWqPmIJfl/XQQ+qzL1d/hHsaP+WmGAmzdw8WBvMNa
 iJOSOPN7Gs9MChgle8npgXDQPfOkakORMKioxnthYUhMB78tnxK4nEUS1LnOaj8O9u
 wfEnbXs3JBM1g==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sat, 18 Jun 2022 09:13:56 +0100
Message-Id: <CKT3YP4LR8B9.2Z60T9BZE1SUR@guix-aspire>
Subject: Fwd: Re: [bug#56041] [PATCH] gnu: Add vkmark.
From: "(" <paren@HIDDEN>
To: <56041 <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Forwarded message from ( on Fri Jun 17, 2022 at 11:47 PM:
On Fri Jun 17, 2022 at 11:40 PM BST, Tomasz Jeneralczyk wrote:

> Do you want me to write a comment there explaining why I used a specific=
=20

> commit?



Yeah, that'd be good and seems to be usual practise :)



> > Nitpick: file-name usually comes after uri in most of the packages I've

> > seen. Maybe run guix style, if you haven't already.

>

> All I can tell is guix style does not do much, could not even fix this=20

> simple

> issue.



Yeah, i just replied to my message saying that I no longer recommend

guix style, since it completely wrecked the formatting of a package I

was working on... Interesting that it doesn't do anything here, though.



> So do I send a new patch in this thread (with the same or a different=20

> subject?) or make a new thread with it?



(1) make modifications

(2) commit modifications

(3) rebase <https://git-rebase.io> the commits as fixups for the original

    commits so that your new patchset will be completely independent of

    the original

(4) git send-email -v2 to _this_ thread <56041 <at> debbugs.gnu.org>, not a

    new one



This will send an amended set of commits. Note that these commits should

not be fixes for the earlier commits, but modified versions of the original

commits (so that the v2 patches can be applied without first applying

the v1 patches).


Please only send plain-text email; see <https://useplaintext.email>. Thanks=
!




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 18 Jun 2022 08:13:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 18 04:13:17 2022
Received: from localhost ([127.0.0.1]:47463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Ta1-0002k8-E9
	for submit <at> debbugs.gnu.org; Sat, 18 Jun 2022 04:13:17 -0400
Received: from knopi.disroot.org ([178.21.23.139]:36824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o2TZx-0002jw-PZ
 for 56041 <at> debbugs.gnu.org; Sat, 18 Jun 2022 04:13:15 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 25792441D9
 for <56041 <at> debbugs.gnu.org>; Sat, 18 Jun 2022 10:13:12 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id OY2jPemptxII for <56041 <at> debbugs.gnu.org>;
 Sat, 18 Jun 2022 10:13:07 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655539986; bh=4dFuo/2u43dhZhusNFJdqnqjA0gAz4z3MEGRavSl3gw=;
 h=Date:Subject:From:To;
 b=d5roGTLxH9u6FqRTrQCHOzyyVp/2+JYe3WABKcBop414UoM4l6iXKhOagswDlKwbm
 m6TiCYVpe+hLTTMeSLuP8VJdwIDlJEq+G2oQ+y/srbpGuwqhp1AMtMXK4z5LkvNcPC
 fLJ2LzF/c03+X1AJJj7RjMZ/fGg0nEwIi3wFX1DeZ+M75Zbg1pvVgIrrC0TGdUGmik
 /hyaMVXtKw4pfBOoWfcREaNK6qIU5iwDViINfJD55TQUkNE1ELoWKkqukZAHFF86UB
 eKLFFrfgLWa3YS5kqJDV1svXxOBtT9IoLwhN4KCI3u6lXXdoTtKdGV1P4Nm3ol2dtd
 28v0eDOfxuviA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Sat, 18 Jun 2022 09:13:06 +0100
Message-Id: <CKT3Y2DYV376.2UXGJ8F3Z554J@guix-aspire>
Subject: Fwd: Re: [bug#56041] [PATCH] gnu: Add vkmark.
From: "(" <paren@HIDDEN>
To: <56041 <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Forwarded message from Tomasz Jeneralczyk on Fri Jun 17, 2022 at 10:40 PM:
On 2022-06-17 19:10, ( wrote:

> On Fri Jun 17, 2022 at 4:24 PM BST, Tomasz Jeneralczyk wrote:

> I think it's common to include an explanation of why tags aren't used=20

> :)



The only tag in the repo is "2017.08" and it's a bit old considering

the latest commit was just a few days ago. I did not manage to compile

the old version successfully anyway, I suspect the api of the libraries

it uses has changed significantly in the meantime.



On the latest commit all benchmark suites run just fine for me on xcb=20

backend,

and someone on irc confirmed it works on wayland too so I rolled with=20

that.



Do you want me to write a comment there explaining why I used a specific=20

commit?



> Nitpick: file-name usually comes after uri in most of the packages I've

> seen. Maybe run guix style, if you haven't already.



All I can tell is guix style does not do much, could not even fix this=20

simple

issue.



> Why include cmake? It seems to compile without it :)



You are right. I think it is there because during building process it=20

spits

out "Found CMAKE: NO" during compilation and I thought that was an=20

issue.



> Maybe expand this to "Extensible benchmarking suite for Vulkan" or

> something? I'd say this synopsis is a bit too short.



your suggestion sounds good.



So do I send a new patch in this thread (with the same or a different=20

subject?) or make a new thread with it?


Please only send plain-text email; see <https://useplaintext.email>. Thanks=
!




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 17 Jun 2022 19:59:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 15:59:40 2022
Received: from localhost ([127.0.0.1]:47025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2I84-0007re-Il
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 15:59:40 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48804)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o2I82-0007rT-4H
 for 56041 <at> debbugs.gnu.org; Fri, 17 Jun 2022 15:59:39 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 96123445CC;
 Fri, 17 Jun 2022 21:59:36 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id LMEEzIVbb-zX; Fri, 17 Jun 2022 21:59:35 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655495975; bh=6qv5/7XzGS2h1Sg8EbY5TiJfYEs+qRVPEz7nP+hacJc=;
 h=Date:Subject:From:To:References:In-Reply-To;
 b=OSF+K3YGVYHtnUijfMZtobnpWrnVAaDYYU3X5jPwf994vyOsOF4ygCjEB800gvbl5
 XxEsXU7SnCd1eKDeeiPncnBvUuCHKlIdnZILfk2aNy50BaLq1zHmZo08iBxgW1SJKj
 590HGhdzzt/g02HPJ3ZmIHy9uj5BHbDwYxBEWARuMP51xFqe/KGDYtyBaOD4urNa3s
 kWHtrP1CGYy0T5PiX7l/ttddQ4nt0rD94JEKAzydfZS1+unh6qimc2TRQdwM99CkXo
 OsOQ/EQF4BtB48Hs/x5KVMMF828F1Yn0LKI1i51AunSVoGkv6Pg2ns/2syXPbk/WCz
 iGHQQApw3okzQ==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Fri, 17 Jun 2022 20:59:35 +0100
Message-Id: <CKSOCFT6AGVY.20S2L76ZVNGQ3@guix-aspire>
Subject: Re: [bug#56041] [PATCH] gnu: Add vkmark.
From: "(" <paren@HIDDEN>
To: "(" <paren@HIDDEN>, "Tomasz Jeneralczyk" <tj@HIDDEN>,
 <56041 <at> debbugs.gnu.org>
References: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
 <CKSNAO3LQ6KG.1WY5SU8ZWD8LB@guix-aspire>
In-Reply-To: <CKSNAO3LQ6KG.1WY5SU8ZWD8LB@guix-aspire>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri Jun 17, 2022 at 8:10 PM BST, ( via Guix-patches via wrote:
> Maybe run guix style, if you haven't already.

And only then I discover how questionable guix style's formatting
choices are... I retract this suggestion :P




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at 56041 <at> debbugs.gnu.org:


Received: (at 56041) by debbugs.gnu.org; 17 Jun 2022 19:10:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 15:10:21 2022
Received: from localhost ([127.0.0.1]:46975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2HMK-0002Ny-RX
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 15:10:21 -0400
Received: from knopi.disroot.org ([178.21.23.139]:48132)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paren@HIDDEN>) id 1o2HMI-0002Nn-IR
 for 56041 <at> debbugs.gnu.org; Fri, 17 Jun 2022 15:10:19 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 3C61E445B0;
 Fri, 17 Jun 2022 21:10:17 +0200 (CEST)
X-Virus-Scanned: SPAM Filter at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id CAq6FcGwR7Vo; Fri, 17 Jun 2022 21:10:16 +0200 (CEST)
Mime-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1655493015; bh=z4pUmlAW9E4Tl6inZ9YQ0qwj2JiWb6Vc89qzCVeagUs=;
 h=Date:From:To:Subject:References:In-Reply-To;
 b=QDGuTtTky1XybFQZM5GUmJkLWl6vIOH+TrwPZMmVIiQJ5s7LvUjHVCQjiZHeAEw1Y
 OchyNSJK/x0N8n+1DtHBwQ2W7o8s/5KH5wjZp82jg9oKdMZ+lvit/Q3D1XgKw7fzMh
 JOA1JFQxpgs++/WrYkj9DUwpaYqNeTVz0J9PgQXnwVsjeXoVjHr8sgDlA+w1kQLtMh
 uLKWXDWMqJAvT4T/O6sW5uvIt6bjC+aOYzozYN6hLX1yrrOR9GW4u5MyfskO6/ByKv
 jF6cDO/YCqzfkQAcn15dUKhxcGGeJfWVdZxzvqdMSdUAbvUtVwJm4qfIb/FFveh7Q1
 QDQwB6VYL/TMA==
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=UTF-8
Date: Fri, 17 Jun 2022 20:10:15 +0100
Message-Id: <CKSNAO3LQ6KG.1WY5SU8ZWD8LB@guix-aspire>
From: "(" <paren@HIDDEN>
To: "Tomasz Jeneralczyk" <tj@HIDDEN>, <56041 <at> debbugs.gnu.org>
Subject: Re: [bug#56041] [PATCH] gnu: Add vkmark.
References: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
In-Reply-To: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 56041
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi! :D This package seems good to me: passes all lints, builds, and
style looks okay.

On Fri Jun 17, 2022 at 4:24 PM BST, Tomasz Jeneralczyk wrote:
> +(define-public vkmark
> +  (let ((commit "d872846e2e7c47010c11227eb713d00ccfdd35c6")
> +        (revision "1"))

I think it's common to include an explanation of why tags aren't used :)

> +                (file-name (git-file-name name version))
> +                (uri (git-reference
> +                      (url "https://github.com/vkmark/vkmark")
> +                      (commit commit)))

Nitpick: file-name usually comes after uri in most of the packages I've
seen. Maybe run guix style, if you haven't already.

> +      (native-inputs (list pkg-config cmake))

Why include cmake? It seems to compile without it :)

> +      (synopsis "Benchmark for Vulkan")

Maybe expand this to "Extensible benchmarking suite for Vulkan" or
something? I'd say this synopsis is a bit too short.




Information forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jun 2022 16:08:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 12:08:16 2022
Received: from localhost ([127.0.0.1]:46781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2EW7-0008Bk-0j
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 12:08:16 -0400
Received: from lists.gnu.org ([209.51.188.17]:44028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <tj@HIDDEN>) id 1o2Dpr-0002bU-Ln
 for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 11:24:37 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48648)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tj@HIDDEN>) id 1o2Dpr-0000LU-Gk
 for guix-patches@HIDDEN; Fri, 17 Jun 2022 11:24:35 -0400
Received: from outgoing1.lunanode.net ([172.81.176.235]:36135)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <tj@HIDDEN>) id 1o2Dpp-0005AQ-43
 for guix-patches@HIDDEN; Fri, 17 Jun 2022 11:24:34 -0400
Received: from mail1.lunanode.net (mail1.lunanode.net [170.75.162.243])
 by outgoing1.lunanode.net (Postfix) with ESMTPS id E67964008C
 for <guix-patches@HIDDEN>; Fri, 17 Jun 2022 15:24:29 +0000 (UTC)
MIME-Version: 1.0
Date: Fri, 17 Jun 2022 15:24:28 +0000
From: Tomasz Jeneralczyk <tj@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: Add vkmark.
User-Agent: Roundcube Webmail/1.4.11
Message-ID: <b9edc90fb6081f2ea0495b9c22527134@HIDDEN>
X-Sender: tj@HIDDEN
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=172.81.176.235; envelope-from=tj@HIDDEN;
 helo=outgoing1.lunanode.net
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, NO_DNS_FOR_FROM=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 17 Jun 2022 12:08:14 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

* gnu/packages/benchmark.scm (vkmark): Add variable.
---
  gnu/packages/benchmark.scm | 43 ++++++++++++++++++++++++++++++++++++++
  1 file changed, 43 insertions(+)

diff --git a/gnu/packages/benchmark.scm b/gnu/packages/benchmark.scm
index b167c6de6e..98d9390472 100644
--- a/gnu/packages/benchmark.scm
+++ b/gnu/packages/benchmark.scm
@@ -11,6 +11,7 @@
  ;;; Copyright © 2020, 2021, 2022 Maxim Cournoyer 
<maxim.cournoyer@HIDDEN>
  ;;; Copyright © 2020 Greg Hogan <code@HIDDEN>
  ;;; Copyright © 2021 Arun Isaac <arunisaac@HIDDEN>
+;;; Copyright © 2022 Tomasz Jeneralczyk <tj@HIDDEN>
  ;;;
  ;;; This file is part of GNU Guix.
  ;;;
@@ -36,15 +37,20 @@ (define-module (gnu packages benchmark)
    #:use-module (guix build-system cmake)
    #:use-module (guix build-system gnu)
    #:use-module (guix build-system python)
+  #:use-module (guix build-system meson)
    #:use-module (gnu packages)
    #:use-module (gnu packages autotools)
    #:use-module (gnu packages base)
    #:use-module (gnu packages c)
    #:use-module (gnu packages check)
+  #:use-module (gnu packages cmake)
    #:use-module (gnu packages compression)
    #:use-module (gnu packages kde-frameworks)
    #:use-module (gnu packages databases)
    #:use-module (gnu packages docbook)
+  #:use-module (gnu packages freedesktop)
+  #:use-module (gnu packages gl)
+  #:use-module (gnu packages graphics)
    #:use-module (gnu packages linux)
    #:use-module (gnu packages lua)
    #:use-module (gnu packages maths)
@@ -57,6 +63,8 @@ (define-module (gnu packages benchmark)
    #:use-module (gnu packages python-web)
    #:use-module (gnu packages python-xyz)
    #:use-module (gnu packages qt)
+  #:use-module (gnu packages vulkan)
+  #:use-module (gnu packages xorg)
    #:use-module (gnu packages xml)
    #:use-module (ice-9 match))

@@ -584,3 +592,38 @@ (define-public sysbench
  @item
  @end itemize")
      (license license:gpl2+)))
+
+(define-public vkmark
+  (let ((commit "d872846e2e7c47010c11227eb713d00ccfdd35c6")
+        (revision "1"))
+    (package
+      (name "vkmark")
+      (version (git-version "2017.08" revision commit))
+      (source (origin
+                (method git-fetch)
+                (file-name (git-file-name name version))
+                (uri (git-reference
+                      (url "https://github.com/vkmark/vkmark")
+                      (commit commit)))
+                (sha256
+                 (base32
+                  
"0zlryz8i8jvl160bv30ig5nd9h4ahpjfw53ys839i41xi80jjg5d"))))
+      (build-system meson-build-system)
+      (native-inputs (list pkg-config cmake))
+      ;; The kms back-end, as it is, seems to have bitrot
+      ;; and would need maintenance to work with current Mesa:
+      ;; https://gitlab.freedesktop.org/mesa/mesa/-/commit/5e6db1916806
+      (inputs (list vulkan-loader
+                    vulkan-headers
+                    glm
+                    assimp
+                    libxcb
+                    xcb-util-wm
+                    wayland-protocols
+                    wayland))
+      (synopsis "Benchmark for Vulkan")
+      (description
+       "vkmark is an extensible Vulkan benchmarking suite with 
targeted, configurable
+scenes.")
+      (home-page "https://github.com/vkmark/vkmark")
+      (license license:lgpl2.1))))

base-commit: d6bd483cd53cedc8da39fcc6c419f7241080ed21
-- 
2.36.1





Acknowledgement sent to Tomasz Jeneralczyk <tj@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#56041; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 19 Jun 2022 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.